function [logL]=MOC_Kv(par,ipar,par_val_name,loglik,datadir,case1)
%!!ATTENTION : It is set for data_3test (Marlos's) data
%in case of using other data see function data/make_MOC.m 
    kv  = par{1};
    tam  = length(datadir);
  if tam==2,
     so=length(par{tam});
     loglik=loglik(:,so);
  else
     so=1;
     loglik=0;
  end
%dbstop('22')
for g=1:tam
 for f=1:length(kv)
 ncload(strcat(datadir{g},'Kv.',par_val_name{f},case1{g},'tsi.01801.01.01.nc'),'motsf_max');
 data(1:length(motsf_max),f,g)=motsf_max;
 end
end
    MOC(1:length(kv),1:tam) = squeeze(mean(data(160:200,:,:)))/1e6;  %average between period 1960-2000

 %read moc series from file moc_series.dat
% [data] = textread('../data/moc_series.dat','','headerlines',2);
%    MOC = mean(data(160:200,2:end));  %average between period 1960-2000


figure(2)
subplot(2,2,2)
for g=1:tam
plot(kv,MOC(:,g),'ok','markersize',5)
end
xlabel('Kv [cm^2s^-^1]'),
ylabel('MOC strength [Sv]')
xlim([0 .6])

%from Lumpkin & Speer, 2003
sigma=2.7;mu=17.6;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   L = 1/(sqrt(2*pi)*sigma)*exp(-0.5*(MOC-mu).^2/sigma^2);
          logL = log(L)*exp(loglik(1:so));
if tam==2;logL(:,2)=loglik;end

subplot(2,2,1),
for g=1:tam
as = plot(L,MOC(:,g),'k','linewidth',2);
end
ylabel('MOC strength [Sv]')
xlabel('Pdf')

subplot(2,2,4),
for g=1:tam
plot(kv,L(:,g),'k','linewidth',2);
end
xlabel('Kv [cm^2s^-^1]'),
ylabel('Pdf')
xlim([0 .6])

print('-deps2','figures/MOC_Kv.ps')
end
