function [i]=moc_projection(lik_tr,lik,par,ipar,disp_name,cor);
%dbstop('41')
lik     = [lik_tr'];%; lik];
cor2    = {'-xb','-g','-or','-^m','<:c','p-b','h-r','-.*g',':m'};
if nargin==5;
cor     = cor2;
else
cor     = [cor cor2(length(cor)+1:end)];
end

cor{size(lik,1)}='-sk';
direc   = '/gpfs/group/keller/home10/marlos2/ENSEMBLE/Climate_Sensitivity/';
case1   = '/1800-2300_3test/';
file    = 'tsi.01801.01.01.nc';
anos    = [20 30 40];
year2   = 1805:10:2305;
year2   = year2(anos)
clim    = 16:20; %1960:2000;
step    = 0.5;
vec_moc = 6:step:18; %MOC (Sv)
kv      = par;

for f=1:length(year2);
disp_name{f}=num2str(year2(f));
end

%for f=1:length(kv)
%   kv_n = num2str(kv(f));
%   ncload([direc,'Kv',kv_n(2:end),case1,file],'motsf_max','year')
   data=load('../data/MOC_24Np1.mat');
%   for an=1:length(anos);
%   MOC(f,an) = mean(motsf_max(anos(an)-10:anos(an)))/1e6;
%   end
    MOC=data.MOC3(anos,:)'/1e6;
      N = length(clim);  %1950:2000;
%MOC1(f) = mean(motsf_max(clim))/1e6;
%end

figure(2)
clf
set(gcf,'PaperPosition',[1 1 6 4]); 
set(gcf,'DefaultLineLineWidth',1.5)
set(gca,'FontSize',14)
wysiwyg;


for f=1:size(MOC,2)
   i=1;   %size(lik,1)
   MOC2    = interp1(kv,MOC(:,f),ipar);
%   logmoc  = interp1(MOC2,lik(i,:),vec_moc);
%   loglik  = normalize_logpdf(logmoc,step);
   logmoc  = interp1(MOC2,log(lik(i,:)),vec_moc);
%   logmoc(isnan(logmoc))=-inf;
   loglik  = normalize_logpdf(logmoc,step);
   acha=find(~isnan(loglik));acha=[acha(1)-1 acha(end)+1];
   loglik(acha)=0;
   plot(vec_moc,loglik,cor{f},'markersize',5)
   hold on
end
   leg     = legend(disp_name,'location','northwest');
   set(leg,'box','off','fontsize',10),
    ylabel('PDF');
    xlabel('MOC [Sv]');
    xlim([5 16])
    ylim([0 1.5])


%sigma = 2.7;
%   mu = 17.6;

%   L = ldnorm(MOC1,mu,sigma);
%logL = interp1(MOC1,L',vec_moc);

print('-depsc2','figures/MOC_Kv.ps')
