close all
sigma=0.01:.01:6;ds=.01; 
 b=-2.5:.05:2.5;db=.05;
[sm,bm]=meshgrid(sigma,b);       
p2=-2*sm + (-0.5*log(2*pi) - log(sm ) - 0.5*( bm./sm).^2);     
p1=         -0.5*log(2*pi) - log(0.5) - 0.5*((bm./sm).^2)./0.5^2;     
p2=exp(p2)/sum(sum(exp(p2)*ds*db));
p1=exp(p1)/sum(sum(exp(p1)*ds*db));
figure,contourf(sigma,b,(p1)),colorbar
xlabel('Sigma'),ylabel('Bias')
figure,contourf(sigma,b,(p2),0:.01:.05),colorbar
xlabel('Sigma'),ylabel('Bias')

