% normalize a (log) probability distribution function, sum_i p(par_i) dx = 1
% dx is the spacing between successive parameter values
function pdf_norm = normalize_logpdf(logpdf,dx)
    
logpdf = logpdf - max(logpdf); % rescale
pdf = exp(logpdf); % exponentiate log pdf
pdf_norm = pdf/nansum(pdf*dx); % normalize

%aux=exp(logpdf);
%minimo=min(aux);maximo=max(aux)-minimo;
%pdf=(aux-minimo)/maximo*100;
%pdf_norm=pdf/sum(pdf*dx);

