tamo=length(obs_name);
cor={'k','b','r','m','c','g','y','k-.','b--','--r'};

mywidefigure(3);
for num=1:length(par);
clf
 for o = 1:tamo
  figure(3)
  subplot(1,length(obs_name),o)

   for f=1:length(par_val_name{num})
    plot(squeeze(all_model_data(:,f,num,o)),x(:,o),cor{f})
    hold on
   end
  plot(squeeze(obs(:,o)),x(:,o),'ok','markersize',5,'markerfacecolor',[.5 .5 .5])
  axis image
  axis normal
  za=xlabel([disp_name{o},disp_unit{o}]);
  ylim([0 5300])
  if o==1,ylabel('Depth (m)');end
  set(gca,'ydir','reverse')
  set(gca,'ytick',[0 1000 2000 3000 4000 5000])
  set(gca,'xminortick','on')
 end
%print -depsc2 figures/profiles.ps
print('-depsc2',['figures/profiles',num2str(num),suffix,'.ps'])

%%%%%%%%RESIDUALS%%%%%%%%%%%%%%%%%%%%%%%%%%%%
mywidefigure(3);
clf
 for o = 1:tamo
  figure(3)
  subplot(1,length(obs_name),o)

  for f=1:length(par_val_name{num})
   plot(squeeze(all_model_data(:,f,num,o))-squeeze(obs(:,o)),x(:,o),cor{f})
   hold on
  end
  plot([0 0],[0 5300],'--','color',[0.5 0.5 0.5])
  axis image
  axis normal
  za=xlabel([disp_name{o},disp_unit{o}]);
  ylim([0 5300])
  if o==1,ylabel('Depth (m)');end
  set(gca,'ydir','reverse')
  set(gca,'ytick',[0 1000 2000 3000 4000 5000])
  set(gca,'xminortick','on')
 end
 print('-depsc2',['figures/residuals',num2str(num),suffix,'.ps'])
end
