function [pminT,pmaxT]=standard_param(pmin,pmax,par);
%This function selects which parameters are going to be 
%optimized:
% sd - standard deviation
% cl - correlation length ( for the autocorrelation part)
% bs - bias
% cf - cross-correlation coefficient
%del_par - parameter to be deleted from estimation
%dbstop('24')
global param_type 
global opt_type
%global best_pos
global par_name
global vec
global corr_est

dimold=size(pmin,2);
%vec
counter=0;
stp=1;
param_type={'sd'};
for j=1:dimold
 for i=1:stp:size(pmin,1)
 if j>1 & strcmp(vec{i},'cl'),continue;end % stp=2;end
 counter=counter+1;
 pminT(counter)=pmin(i,j);
 pmaxT(counter)=pmax(i,j); %2trac 6par
 param_type{1,counter}=char(vec{i});
 end
end
if strcmp(opt_type,'MCMC')
% Exclude parameters that are not to be estimated
% They will be read from the matrix best in multi_obj.m
% for i=[5:-1:3 1]
% for i=[5:-1:3]
%display(['eliminate ',vec{i}])
%  a=strcmp(param_type,vec{i});
%  param_type(a)=[];pminT(a)=[];pmaxT(a)=[];
%  best_pos(i)=[];
% end
end
%%%%%%THIS IS FOR THE COVARIANCE%%%%%%%%%%%%
if (corr_est==1)
 cov_numb=(dimold^2-dimold)/2;
  for i=1:cov_numb
  param_type{1,end+1}='cf';
  end
 pminT(end+1:end+cov_numb)=-1;
 pmaxT(end+1:end+cov_numb)=.99;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%THIS IS FOR MODEL PARAMETER%%%%%%%%%%%%%
if strncmp(opt_type,'MCMC',4)
 for i=1:length(par_name)
 param_type{1,end+1}=lower(par_name{i});
 pminT(end+1)=min(par{i});
 pmaxT(end+1)=max(par{i});
 end
end
disp(['param_type = ',sprintf('\t%s',param_type{:})])
return

